Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.xml.utils
Class XMLUtils

    java.lang.Object
      com.ejie.r01f.xml.utils.XMLUtils

public final class XMLUtils
extends java.lang.Object

Utilidades XSL

Constructor Summary
`XMLUtils()` Constructor vacio

Method Summary
`static java.lang.String` | `getTagFormatedXML(java.lang.String nonTagFormatedXML, java.lang.String outEncoding)` Parsea un "churro" xml todo seguido y lo pone tag a tag-
`static boolean` | `isTextNode(org.w3c.dom.Node n)` Decide if the node is text, and so must be handled specially
`static void` | `main(java.lang.String[] args)` Main Method
`static java.lang.String` | `write(org.w3c.dom.Document doc, java.lang.String outEncoding)` Imprime toda una estructura XML
`static java.lang.String` | `write(org.w3c.dom.Node beginNode, java.lang.String outEncoding)` Imprime una estructura XML a partir de un nodo

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLUtils

    public XMLUtils()

  Constructor vacio

Method Detail

### write

    public static java.lang.String write(org.w3c.dom.Document doc,
                                         java.lang.String outEncoding)

  Imprime toda una estructura XML

  Parameters:
    `doc` - el documento a escribir como cadena
    `outEncoding` - codificación de la cadena con el xml generado (null para utilizar la codificación por defecto)
  Returns:
    una cadena con el xml

### write

    public static java.lang.String write(org.w3c.dom.Node beginNode,
                                         java.lang.String outEncoding)

  Imprime una estructura XML a partir de un nodo

  Parameters:
    `beginNode` - el nodo de inicio
    `outEncoding` - codificación de la cadena con el xml generado (null para utilizar la codificación por defecto)
  Returns:
    una cadena con el xml

### isTextNode

    public static boolean isTextNode(org.w3c.dom.Node n)

  Decide if the node is text, and so must be handled specially

  Parameters:
    `n` - el nodo
  Returns:
    true si se trata de un nodo tipo text

### getTagFormatedXML

    public static java.lang.String getTagFormatedXML(java.lang.String nonTagFormatedXML,
                                                     java.lang.String outEncoding)
                                              throws javax.xml.transform.TransformerException

  Parsea un "churro" xml todo seguido y lo pone tag a tag-

  Parameters:
    `nonTagFormatedXML` -
    `outEncoding` - codificacion de la cadena de salida (null para utilizar la codificación por defecto)
  Returns:
    una cadena con el xml formateado
  Throws:
    `javax.xml.transform.TransformerException`

### main

    public static void main(java.lang.String[] args)

  Main Method

  Parameters:
    `args` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD